> For the complete documentation index, see [llms.txt](https://docs.brutalscripts.com/site/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.brutalscripts.com/site/scripts/3d-text-ui/accessible-files.md).

# Accessible files

<details>

<summary>config.lua</summary>

```lua
----------------------------------------------------------------------------------------------
------------------------------------| BRUTAL 3D TEXT UI :) |-------------------------------------
----------------------------------------------------------------------------------------------

Config = {
    BrutalNotify = true, -- Buy here: (4€+VAT) https://store.brutalscripts.com | Or set up your own notify >> cl_utils.lua   
    ToggleCommand = {use = true, command = 'toggletextui'}, -- Toggle all 3D Text UIs

    TextUIs = {
        -- ["example"] = {
        --     displayType = 'follow', -- follow, static
        --     borderStyle = "dashed", -- none, solid, dashed
        --     borderRadius = true,
        --     color = "#F54927",
        --     textColor = "white",
        --     backgroundColor = "rgba(28,32,46,1)",
        --     boxShadow = true,
        --     position = vector4(-1266.8575, -1522.8204, 4.3130, 81.6710),
        --     markerType = "dot", -- url, cube, dot
        --     displayDist = 10, -- point display distance
        --     interactDist = 2, -- menu display distance
        --     keys = {
        --         {
        --             key = 'E',
        --             keyNum = 38, -- Controls list: https://docs.fivem.net/docs/game-references/controls/
        --             text = 'Open Police MDT',
        --             executeCommand = '',
        --             triggerName = 'brutal_ambulancejob:client:MDTCommand',
        --             args = {},
        --         },
        --         {
        --             key = 'G',
        --             keyNum = 58, -- Controls list: https://docs.fivem.net/docs/game-references/controls/
        --             text = 'Toggle Police Duty',
        --             executeCommand = 'pduty',
        --             triggerName = '',
        --             args = {},
        --         },
        --         {
        --             key = 'K',
        --             keyNum = 311, -- Controls list: https://docs.fivem.net/docs/game-references/controls/
        --             text = 'Open Citizen Call',
        --             executeCommand = '',
        --             triggerName = 'brutal_policejob:client:OpenCitizenCall',
        --             args = {},
        --         },
        --         {
        --             key = 'L',
        --             keyNum = 182, -- Controls list: https://docs.fivem.net/docs/game-references/controls/
        --             text = 'Open Report Menu',
        --             executeCommand = '',
        --             triggerName = 'brutal_reports:client:OpenMenu',
        --             args = {},
        --         }
        --     }
        -- },
        -- ["example2"] = {
        --     displayType = 'follow', -- follow, static
        --     borderStyle = "solid", -- none, solid, dashed
        --     borderRadius = true,
        --     color = "black",
        --     textColor = "white",
        --     backgroundColor = "black",
        --     boxShadow = true,
        --     position = vector4(-1278.6041, -1520.6244, 4.3135, 350.4361),
        --     markerType = "url", -- url, cube, dot
        --     displayDist = 10, -- point display distance
        --     interactDist = 2, -- menu display distance
        --     keys = {
        --         {
        --             key = 'TAB',
        --             keyNum = 38, -- Controls list: https://docs.fivem.net/docs/game-references/controls/
        --             text = 'Open Menu',
        --             executeCommand = '',
        --             triggerName = '',
        --             args = {},
        --         }
        --     },
        --     url = "https://i.fragmentor.io/6eb7f996c8d562cd7bef18656a97e95f/1bb87d41d15fe27b500a4bfcde01bb0e.png"
        -- },
        -- ["example3"] = {
        --     displayType = 'static', -- follow, static
        --     borderStyle = "solid", -- none, solid, dashed
        --     borderRadius = true,
        --     color = "rgb(144 238 144)",
        --     textColor = "white",
        --     backgroundColor = "none",
        --     boxShadow = true,
        --     position = vector4(-1275.1796, -1530.7770, 4.3135, 163.8204),
        --     markerType = "cube", -- url, cube, dot
        --     displayDist = 10, -- point display distance
        --     interactDist = 2, -- menu display distance
        --     keys = {
        --         {
        --             key = 'E',
        --             keyNum = 38, -- Controls list: https://docs.fivem.net/docs/game-references/controls/
        --             text = 'Open Vehicle Shop',
        --             executeCommand = '',
        --             triggerName = '',
        --             args = {},
        --         },
        --         {
        --             key = 'G',
        --             keyNum = 58, -- Controls list: https://docs.fivem.net/docs/game-references/controls/
        --             text = 'Open License Shop',
        --             executeCommand = '',
        --             triggerName = '',
        --             args = {},
        --         }
        --     }
        -- },
    },

    -- Notify function EDITABLE >> cl_utils.lua
    Notify = { 
        [1] = {"3DTextUI", "You can not do this in a vehicle!", 5000, 'error'},
        [2] = {"3DTextUI", "All 3D TextUIs have been disabled.", 5000, 'error'},
        [3] = {"3DTextUI", "All 3D TextUIs have been enabled.", 5000, 'success'},
        [4] = {"3DTextUI", "Invalid coords! Expected vector4(x, y, z, w)", 5000, 'error'},
        [5] = {"3DTextUI", "TextUI ID is missing!", 5000, 'error'},
        [6] = {"3DTextUI", "Keys table is empty or nil", 5000, 'error'},
    },
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.brutalscripts.com/site/scripts/3d-text-ui/accessible-files.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
